<?php


class PingMySitemap extends plxPlugin {

    public function __construct($default_lang) {
        # Appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

        # Déclaration des hooks
        $this->addHook('plxAdminEditArticle', 'hook_plxAdminEditArticle');

        # limite l'accès à l'écran d'administration du plugin
        $this->setConfigProfil(PROFIL_ADMIN);
    }

    public function hook_plxAdminEditArticle() 
	   {


        if (isset($_POST['publish'])) 
		{ 
            

			$sitemapUrl = 'http://'.$_SERVER['HTTP_HOST'].'/sitemap.php';
			
			 
			
			// cUrl handler to ping the Sitemap submission URLs for Search Engines…
			
			function myCurl($url){
			
			$ch = curl_init($url);
			
			curl_setopt($ch, CURLOPT_HEADER, 0);
			
			curl_exec($ch);
			
			$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
			
			curl_close($ch);
			
			return $httpCode;
			
			}
			
			 
			
			//Google
			
			$url = 'http://www.google.com/webmasters/sitemaps/ping?sitemap='.$sitemapUrl;
			
			$returnCode = myCurl($url);
			
			echo '<p>Google Sitemaps has been pinged (return code: $returnCode).</p>';
			
			 
			
			//Bing / MSN
			
			$url = 'http://www.bing.com/webmaster/ping.aspx?siteMap='.$sitemapUrl;
			
			myCurl($url);
			
			echo '<p>Bing / MSN Sitemaps has been pinged (return code: $returnCode).</p>';
			
			 
			
			//ASK
			
			$url = 'http://submissions.ask.com/ping?sitemap='.$sitemapUrl;
			
			myCurl($url);
			
			echo '<p>ASK.com Sitemaps has been pinged (return code: $returnCode).</p>';
			
			
        }
    }



}
?>
